Loading...
Searching...
No Matches
smartlock::Keypad::MetaData Struct Reference

Keypad Metadata. More...

`import "Keypad.idl";`

## Public Attributes

string | id
| Keypad ID used in events and traps.
string | manufacturer
| manufacturer
string | product
| product
string | serialNumber
| serial number (S/N)
int | channel
| one device (S/N) can provide multiple keypads
string | position
| Position of the keypad.

## Detailed Description

Keypad Metadata.

Definition at line 24 of file Keypad.idl.

## Member Data Documentation

## channel

int smartlock::Keypad::MetaData::channel

one device (S/N) can provide multiple keypads

Definition at line 29 of file Keypad.idl.

## id

string smartlock::Keypad::MetaData::id

Keypad ID used in events and traps.

Definition at line 25 of file Keypad.idl.

## manufacturer

string smartlock::Keypad::MetaData::manufacturer

manufacturer

Definition at line 26 of file Keypad.idl.

## position

string smartlock::Keypad::MetaData::position

Position of the keypad.

A string, representing the position in the 1-wire topology and the channel of the keypad (e.g. D1:H1:C1-1)

Definition at line 30 of file Keypad.idl.

## product

string smartlock::Keypad::MetaData::product

product

Definition at line 27 of file Keypad.idl.

## serialNumber

string smartlock::Keypad::MetaData::serialNumber

serial number (S/N)

Definition at line 28 of file Keypad.idl.

The documentation for this struct was generated from the following file:

- Keypad.idl